cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1874
Views
0
Helpful
5
Replies
Highlighted
Beginner

Critical error after upgrading Ironport M670 to v7.9.1-102

Can anyone point me in the right direction?

The Critical message is:

An application fault occurred: ('aggregator/master_aggregator.py _process_export_files|526', "<type 'exceptions.AttributeError'>", "'NoneType' object has no attribute 'per_machine_data'", '[aggregator/master_aggregator.py main|263] [aggregator/master_aggregator.py watch_incoming_queue|392] [aggregator/master_aggregator.py _process_export_files|526]')

Last message occurred 612 times between Fri Jul 5 13:43:50 2013 and Fri Jul 5 14:43:45 2013.

Version: 7.9.1-102

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Cisco Employee

Hello  Jason,


As far as I can determine the issue is related to an incompatibility in the AsyncOS versions currently being installed on the Security Management Appliance and your Email Security Appliances.

http://www.cisco.com/en/US/docs/security/security_management/sma/sma_all/SMA-ESA-WSA_Compatibility.pdf

As ESA is now 8.0.0-671 you will need to upgrade the SMA to 8.1 for it to keep compatiblity with your ESA (But 8.1 will need to be provisioned to your system)

The reason why you will need 8.1 for SMA to be provisioned is because the version is at FCS release stage :-


Release Stage

First Customer Ship (FCS): First Customer Ship (FCS): This release has been fully qualified for production usage by Cisco IronPort. It has been extensively tested for functionality and stability, including tests in production by our Beta Program customers. Following a staged release process, we offer select customers the chance to benefit from new features and enhancements as early adopters

@ Brad

You may be facing the same error from compatibility of the appliances, however i cannot be sure as I do not know what versions of ESA you're currently using

Regards,

Matthew

View solution in original post

5 REPLIES 5
Highlighted
Beginner

Hi Brad,

Are you getting this Appfaults continuosly or saw once ?

Which version of the ESA has been connected to your M series ?

Did you upgrade the connected ESA as well while upgrading your M series ?

Regards

Karthik

Regards Karthik
Highlighted

Just a FYI, I am getting this same error after upgrading one of my C670s to 8.0.0-671.   Strange thing is I didn't catch any issues before I upgraded the other C670 that is in this cluster.

I am getting the critical e-mail alert once per hour, and it is failing every 10 seconds on the M670 trying to pull reporting data from one appliance, but not the other.     My M670 is running 7.9.1-039.

So far it looks like everything is functional, except for reporting data is not showing in the Reports on the M670 for the one appliance...   I did open a TAC support call on it, haven't heard from Cisco yet.

Highlighted
Cisco Employee

Hello  Jason,


As far as I can determine the issue is related to an incompatibility in the AsyncOS versions currently being installed on the Security Management Appliance and your Email Security Appliances.

http://www.cisco.com/en/US/docs/security/security_management/sma/sma_all/SMA-ESA-WSA_Compatibility.pdf

As ESA is now 8.0.0-671 you will need to upgrade the SMA to 8.1 for it to keep compatiblity with your ESA (But 8.1 will need to be provisioned to your system)

The reason why you will need 8.1 for SMA to be provisioned is because the version is at FCS release stage :-


Release Stage

First Customer Ship (FCS): First Customer Ship (FCS): This release has been fully qualified for production usage by Cisco IronPort. It has been extensively tested for functionality and stability, including tests in production by our Beta Program customers. Following a staged release process, we offer select customers the chance to benefit from new features and enhancements as early adopters

@ Brad

You may be facing the same error from compatibility of the appliances, however i cannot be sure as I do not know what versions of ESA you're currently using

Regards,

Matthew

View solution in original post

Highlighted

This is exactly what it turned out to be,  my C360's were upgraded to Version: 8.0.0-671 but the only upgrade that had been provisioned for my M670 was Version: 7.9.1-102 (which as it turns out is not fully compatible)

Once the M670 was provisioned (by TAC) to allow the upgrade to Version 8.1.0-476, no more errors, and reporting data once again is showing up in reports.

Thanks all!

Highlighted

This is also what TAC told me.

Brad, any issues or surprises with 8.1.0 on our M670? 

Does it change the look of the SPAM quarantine login for end users?

Content for Community-Ad